com.genesyslab.wfm8.API.service.config812

## Class CfgActivitySkill

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgActivitySkill

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySkill
      extends java.lang.Object
      implements java.io.Serializable

  Activity Skill information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswSkillId` Skill ID -- identifies CfgSkill object
    `private static long` | `serialVersionUID`
    `protected int` | `wmMaxLevel` Maximum Skill Level permitted to be qualified to work on Activity
    `protected int` | `wmMinLevel` Minimum Skill Level permitted to be qualified to work on Activity

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySkill()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswSkillId()` Gets the value of the gswSkillId property.
    `int` | `getWmMaxLevel()` Gets the value of the wmMaxLevel property.
    `int` | `getWmMinLevel()` Gets the value of the wmMinLevel property.
    `int` | `hashCode()`
    `void` | `setGswSkillId(int value)` Sets the value of the gswSkillId property.
    `void` | `setWmMaxLevel(int value)` Sets the value of the wmMaxLevel property.
    `void` | `setWmMinLevel(int value)` Sets the value of the wmMinLevel property.
    `java.lang.String` | `toString()`
    `CfgActivitySkill` | `withGswSkillId(int value)`
    `CfgActivitySkill` | `withWmMaxLevel(int value)`
    `CfgActivitySkill` | `withWmMinLevel(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswSkillId

          protected int gswSkillId

      Skill ID -- identifies CfgSkill object

    - #### wmMinLevel

          protected int wmMinLevel

      Minimum Skill Level permitted to be qualified to work on Activity

    - #### wmMaxLevel

          protected int wmMaxLevel

      Maximum Skill Level permitted to be qualified to work on Activity

  - ### Constructor Detail

    - #### CfgActivitySkill

          public CfgActivitySkill()

  - ### Method Detail

    - #### getGswSkillId

          public int getGswSkillId()

      Gets the value of the gswSkillId property.

    - #### setGswSkillId

          public void setGswSkillId(int value)

      Sets the value of the gswSkillId property.

    - #### getWmMinLevel

          public int getWmMinLevel()

      Gets the value of the wmMinLevel property.

    - #### setWmMinLevel

          public void setWmMinLevel(int value)

      Sets the value of the wmMinLevel property.

    - #### getWmMaxLevel

          public int getWmMaxLevel()

      Gets the value of the wmMaxLevel property.

    - #### setWmMaxLevel

          public void setWmMaxLevel(int value)

      Sets the value of the wmMaxLevel property.

    - #### withGswSkillId

          public CfgActivitySkill withGswSkillId(int value)

    - #### withWmMinLevel

          public CfgActivitySkill withWmMinLevel(int value)

    - #### withWmMaxLevel

          public CfgActivitySkill withWmMaxLevel(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.